#  $Id: Default.py,v 1.5 2001-08-09 00:30:14-05 brinkman Exp $
#  A class that provides high level GUI features.
#  Copyright (C) 2000  Peter Brinkmann (brinkman@math.uiuc.edu)
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""
Default settings for Java 1.1.

The main module should import this module (or similar) in order
to define the method _(...) for internationalization (i18n) as
well as the widget factory.

$Id: Default.py,v 1.5 2001-08-09 00:30:14-05 brinkman Exp $
"""

import __builtin__
import Config
import GUIFactory

def _(s):		# hook for internationalization (i18n)
	return s

__builtin__._=_
Config.factory=GUIFactory.Factory()

