import java.io.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class CountServlet extends HttpServlet {

  public void doPost(HttpServletRequest request,
                    HttpServletResponse response)
      throws IOException, ServletException {

    HttpSession session = request.getSession();
    if (session.isNew()) {
      session.setAttribute("VisitCount",new Integer(0));
    }
    int visits = 
      ((Integer)session.getAttribute("VisitCount")).intValue();
    ++visits;
    session.setAttribute("VisitCount",new Integer(visits));
    request.setAttribute("VisitCount",Integer.toString(visits));

    try {
      ServletConfig config = getServletConfig();
      ServletContext context = config.getServletContext();
      RequestDispatcher rd = 
        context.getRequestDispatcher("/DisplayVisitCount.jsp");
      rd.forward(request, response);
    }
    catch (Exception ex) {
      ex.printStackTrace ();
    }
  }

  public void doGet(HttpServletRequest request,
                    HttpServletResponse response)
      throws IOException, ServletException {
    doPost(request, response);
  }
}
