/*
 * PhotoClient.java
 *
 * Created on October 31, 2001, 7:56 PM
 */

package examples;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.io.*;

import java.io.InputStream;
import java.io.IOException;

/**
 *
 * @author  Paul Tremblett
 * @version 1.0:w

 */
public class PhotoClient extends javax.microedition.midlet.MIDlet
    implements CommandListener {

  Display display;

  Form outputForm;
  ImageItem photo;
      
  Command cmdOK;

  public void startApp() {
    display = Display.getDisplay(this);

    outputForm = new Form(null);
    photo = new ImageItem(null,null,ImageItem.LAYOUT_CENTER,
      "[Image]");
    outputForm.append(photo);
    cmdOK = new Command("OK",Command.OK,1);
    outputForm.addCommand(cmdOK);
    outputForm.setCommandListener(this);

    getImage();
  }

  public void pauseApp() {
  }

  public void destroyApp(boolean unconditional) {
  }

  public void commandAction(Command cmd, Displayable d) {
    if (cmd == cmdOK) {
      destroyApp(false);
      notifyDestroyed();
    }
  }

  public void getImage() {
    ContentConnection conn = null;    
    InputStream is = null;
    byte[] imageData = null;
    Image image = null;
    try {
      String url = "http://localhost/DDJ/images/thatguy.png";
      conn = (ContentConnection)Connector.open(url);     
      is = conn.openInputStream();
      int len = (int)conn.getLength();

      if (len > 0) {
        imageData = new byte[len];
        int nb = is.read(imageData);
      }
      else {
        imageData = new byte[24 * 1024];
        int ch;
        len = 0;
        while ((ch = is.read()) != -1) {
          imageData[len++] = (byte)ch;
          if (len >= imageData.length) {
            byte[] temp = new byte[imageData.length + 1024];
            for (int j = 0; j < imageData.length; ++j) {
               temp[j] = imageData[j];
            }
            len = imageData.length;
            imageData = temp;
          }
        }
      }
      image = Image.createImage(imageData,0,len);
      photo.setImage(image);
      display.setCurrent(outputForm);
    }
    catch (IOException e) {
    }
    finally {
      try {
        if (is != null) {
          is.close();
        }
        if (conn != null) {
          conn.close();
        }
      }
      catch (IOException e) {
      }
    }
    photo.setImage(image);
    display.setCurrent(outputForm);
  }
}    
